
local old_init = GroupAITweakData.init
function GroupAITweakData:init(tweak_data)
    old_init(self, tweak_data)
	local difficulty = Global.game_settings and Global.game_settings.difficulty or "normal"
	local difficulty_index = tweak_data:difficulty_to_index(difficulty)
	local access_type_walk_only = {walk = true}
	local access_type_all = {walk = true, acrobatic = true}
	if difficulty_index < 6 then
		self.unit_categories.FBI_tank = {
			unit_types = {
				america = {
					Idstring("units/payday2/characters/ene_bulldozer_1/ene_bulldozer_1"),
                                        Idstring("units/payday2/characters/ene_bulldozer_2/ene_bulldozer_2"),
                                        Idstring("units/payday2/characters/ene_bulldozer_3/ene_bulldozer_3")
				}
				
			},
			access = access_type_all
		}
	else
		self.unit_categories.FBI_tank = {
			unit_types = {
				america = {
					Idstring("units/payday2/characters/ene_bulldozer_2/ene_bulldozer_2"),
					Idstring("units/payday2/characters/ene_bulldozer_3/ene_bulldozer_3")
				}
			},
			access = access_type_all
		}
	end
end